<template>
  <v-card outlined>
    <v-card-subtitle class="d-flex">
      <v-icon v-if="icon !== ''" color="tway-violet"> mdi-handshake </v-icon>
      <span class="ml-2 tway-title text--tway-violet">
        {{ title }}
      </span>
      <v-tooltip bottom v-if="tooltip !== ''">
        <template v-slot:activator="{ on }">
          <v-icon small v-on="on" class="ml-auto">
            mdi-information-outline
          </v-icon>
        </template>
        <span>{{ tooltip }}</span>
      </v-tooltip>
    </v-card-subtitle>
    <v-card-text>
      <div class="display-1 tway-title text--tway-violet text-center">
        {{ value }}
      </div>
    </v-card-text>
  </v-card>
</template>

<script>
export default {
  name: "DashboardCard",

  props: {
    icon: {
      type: String,
      required: false,
      default: "",
    },
    title: {
      type: String,
      required: true,
    },
    tooltip: {
      type: String,
      require: false,
      default: "",
    },
    value: {
      type: Number,
      require: true,
      default: null,
    },
  },
};
</script>
